# Interface IWebDriverCookie

#### Hierarchy

- IWebDriverOptionsCookie
  - IWebDriverCookie

#####
Index

### Properties

domain?
expiry?
httpOnly?
name
path?
secure?
value

## Properties

### `Optional` domain

domain?: string

The domain the cookie is visible to. Defaults to the current browsing context's document's URL when adding a cookie.

Inherited from IWebDriverOptionsCookie.domain

### `Optional` expiry

expiry?: number

When the cookie expires.

The expiry is always returned in seconds since epoch when () retrieving cookies from the browser.

Overrides IWebDriverOptionsCookie.expiry

### `Optional` httpOnly

httpOnly?: boolean

Whether the cookie is an HTTP only cookie. Defaults to false when adding a new cookie.

Inherited from IWebDriverOptionsCookie.httpOnly

### name

name: string

The name of the cookie.

Inherited from IWebDriverOptionsCookie.name

### `Optional` path

path?: string

The cookie path. Defaults to "/" when adding a cookie.

Inherited from IWebDriverOptionsCookie.path

### `Optional` secure

secure?: boolean

Whether the cookie is a secure cookie. Defaults to false when adding a new cookie.

Inherited from IWebDriverOptionsCookie.secure

### value

value: string

The cookie value.

Inherited from IWebDriverOptionsCookie.value

Generated using TypeDoc